linux-keystone: 3.13.0-32.49 -proposed tracker

Bug #1466937 reported by Brad Figg on 2015-06-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Automated-testing
Medium
Registry Administrators
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Ike Panhc
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Unassigned
Verification-testing
Medium
Ike Panhc
linux-keystone (Ubuntu)
Medium
Unassigned
Trusty
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.13.0-32.49 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 19. June 2015 17:01 UTC
kernel-stable-master-bug:1466592
kernel-stable-Certification-testing-end:Monday, 22. June 2015 01:01 UTC
kernel-stable-Security-signoff-end:Monday, 22. June 2015 01:01 UTC
kernel-stable-Prepare-package-end:Monday, 22. June 2015 06:01 UTC
kernel-stable-Promote-to-proposed-start:Monday, 22. June 2015 06:01 UTC
kernel-stable-Promote-to-proposed-end:Monday, 22. June 2015 17:32 UTC
kernel-stable-Verification-testing-start:Monday, 22. June 2015 19:03 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Monday, 22. June 2015 19:03 UTC
kernel-stable-Regression-testing-end:Tuesday, 23. June 2015 09:01 UTC
kernel-stable-Promote-to-updates-start:Friday, 03. July 2015 08:01 UTC
kernel-stable-Promote-to-updates-end:Monday, 06. July 2015 17:55 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 06. July 2015 19:06 UTC

This tracking bug was opened to be worked from linux-3.13.0-57.95 update (bug 1466592)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu):
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu Trusty):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2015-06-22
summary: - linux-keystone: <version to be filled> -proposed tracker
+ linux-keystone: 3.13.0-32.49 -proposed tracker
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
description: updated
Changed in linux-keystone (Ubuntu):
status: New → Invalid
Changed in linux-keystone (Ubuntu Trusty):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
Brad Figg (brad-figg) on 2015-06-22
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux-keystone | 3.13.0-32.49 | trusty-proposed | source
 linux-meta-keystone | 3.13.0.32.30 | trusty-proposed | source

Brad Figg (brad-figg) on 2015-06-22
description: updated
Brad Figg (brad-figg) on 2015-06-22
description: updated
Ike Panhc (ikepanhc) on 2015-06-23
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-06-23
description: updated
Brad Figg (brad-figg) on 2015-07-03
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (9.2 KiB)

This bug was fixed in the package linux-keystone - 3.13.0-32.49

---------------
linux-keystone (3.13.0-32.49) trusty; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1466937
  * Rebase to Ubuntu-3.13.0-57.95

  [ Ubuntu: 3.13.0-57.95 ]

  * Release Tracking Bug
    - LP: #1466592
  * Merged back Ubuntu-3.13.0-55.94 regression fix for security release

  [ Ubuntu: 3.13.0-56.93 ]

  * Release Tracking Bug
    - LP: #1465798
  * net: eth: xgene: devm_ioremap() returns NULL on error
    - LP: #1458042
  * drivers: net: xgene: fix new firmware backward compatibility with older
    driver
    - LP: #1458042
  * drivers: net: xgene: constify of_device_id array
    - LP: #1458042
  * drivers: net: xgene: Add second SGMII based 1G interface
    - LP: #1458042
  * net: phy: re-design phy_modes to be self-contained
    - LP: #1458042
  * dtb: change binding name to match with newer firmware DT
    - LP: #1458042
  * dtb: xgene: Add second SGMII based 1G interface node
    - LP: #1458042
  * Btrfs: make xattr replace operations atomic
    - LP: #1438501
    - CVE-2014-9710
  * cdc-acm: prevent infinite loop when parsing CDC headers.
    - LP: #1460657
  * (upstream) libata: Blacklist queued TRIM on all Samsung 800-series
    - LP: #1338706, #1449005
  * ahci: avoton port-disable reset-quirk
    - LP: #1458617
  * xfs: avoid false quotacheck after unclean shutdown
    - LP: #1461730
  * (upstream)[SCSI] Add timeout to avoid infinite command retry
    - LP: #1449372
  * (upstream)scsi_lib: remove the description string in
    scsi_io_completion()
    - LP: #1449372
  * udf: Remove repeated loads blocksize
    - LP: #1462173
    - CVE-2015-4167
  * udf: Check length of extended attributes and allocation descriptors
    - LP: #1462173
    - CVE-2015-4167
  * vfs: read file_handle only once in handle_to_path
    - LP: #1416503
    - CVE-2015-1420
  * ozwpan: Use unsigned ints to prevent heap overflow
    - LP: #1463442
    - CVE-2015-4001
  * ozwpan: divide-by-zero leading to panic
    - LP: #1463445
    - CVE-2015-4003
  * ozwpan: Use proper check to prevent heap overflow
    - LP: #1463444
    - CVE-2015-4002
  * ozwpan: unchecked signed subtraction leads to DoS
    - LP: #1463444
    - CVE-2015-4002
  * Input: elantech - add new icbody type
    - LP: #1464490
  * Bluetooth: ath3k: Add support Atheros AR5B195 combo Mini PCIe card
    - LP: #1465796
  * power_supply: twl4030_madc: Check return value of power_supply_register
    - LP: #1465796
  * power_supply: lp8788-charger: Fix leaked power supply on probe fail
    - LP: #1465796
  * ARM: dts: dove: Fix uart[23] reg property
    - LP: #1465796
  * xtensa: xtfpga: fix hardware lockup caused by LCD driver
    - LP: #1465796
  * Drivers: hv: vmbus: Fix a bug in the error path in vmbus_open()
    - LP: #1465796
  * xtensa: provide __NR_sync_file_range2 instead of __NR_sync_file_range
    - LP: #1465796
  * KVM: s390: Zero out current VMDB of STSI before including level3 data.
    - LP: #1465796
  * usb: musb: core: fix TX/RX endpoint order
    - LP: #1465796
  * drm/radeon: fix doublescan modes (v2)
    - LP: #1465796
  * usb: phy: Find the right match in devm_usb_phy_match
    - LP: #146579...

Read more...

Changed in linux-keystone (Ubuntu Trusty):
status: In Progress → Fix Released
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2015-07-06
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers